%define modname python
%define soname %{modname}.so
%define inifile A73_%{modname}.ini

Summary:	Embedded Python
Name:		php-%{modname}
Version:	0.9.0
Release:	%mkrel 0.0.r284003.5
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/python
#Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source0:	%{modname}.tar.gz
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file
BuildRequires:	python-devel >= 2.5

%description
This extension allows the Python interpreter to be embedded inside of PHP,
allowing for the instantiate and manipulation of Python objects from within
PHP.

%prep

%setup -q -n %{modname}

# fix permissions
find . -type f | xargs chmod 644

for i in `find . -type d -name .svn`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# python version fix
perl -pi -e "s|2\.5|%{py_ver}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}/var/log/httpd

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc docs examples tests CREDITS
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Mon Feb 07 2011 spuhler <spuhler> 0.9.0-0.0.r284003.5.mga1
+ Revision: 48216
- removed buildroot definition from .spec
- imported package php-python


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-0.0.r284003.5mdv2011.0
+ Revision: 629854
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-0.0.r284003.4mdv2011.0
+ Revision: 628174
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-0.0.r284003.3mdv2011.0
+ Revision: 600521
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-0.0.r284003.2mdv2011.0
+ Revision: 588858
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-0.0.r284003.1mdv2010.1
+ Revision: 514782
- fix build
- use a recent svn snap (r284003)
- rebuilt for php-5.3.2
- rebuilt for php-5.3.2RC1
- rebuilt against php-5.3.1
- rebuild
- rebuilt for php-5.3.0RC2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Raphaël Gertz <rapsys@mandriva.org>
    - Rebuild

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-7mdv2009.1
+ Revision: 346598
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-6mdv2009.1
+ Revision: 341789
- rebuilt against php-5.2.9RC2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-5mdv2009.1
+ Revision: 323037
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.8.0-4mdv2009.1
+ Revision: 320143
- rebuild for new python

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-3mdv2009.1
+ Revision: 310298
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-2mdv2009.0
+ Revision: 238422
- rebuild

* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-1mdv2008.1
+ Revision: 171343
- import php-python


* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-1mdv2008.1
- initial Mandriva package
